<?php

/**
 * @file
 * Administration page.
 */

/**
 * Configuration form.
 */
function jstree_menu_admin_settings($form, &$form_state) {

  $form['general'] = array(
    '#type' => 'fieldset',
    '#title' => t('General settings'),
    '#weight' => 5,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['general']['jstree_menu_theme'] = array(
    '#type' => 'select',
    '#title' => t('jsTree theme'),
    '#options' => array(
      'default' => t('Default'),
      'proton' => t('Proton'),
    ),
    '#default_value' => variable_get('jstree_menu_theme', 'default'),
    '#description' => t('You may have to clear the cache for changes to take effect'),
  );

  $form['general']['jstree_menu_height'] = array(
    '#type' => 'select',
    '#title' => t('Menu maximum height'),
    '#options' => array(
      'auto' => t('Automatic'),
      '300px' => t('300px'),
      '500px' => t('500px'),
    ),
    '#default_value' => variable_get('jstree_menu_height', 'auto'),
    '#description' => t('If you select automatic there will be no vertical scroll and all contents will be visible'),
  );

  $form['general']['jstree_menu_remove_border'] = array(
    '#type' => 'checkbox',
    '#title' => t('Remove border of jsTree.'),
    '#default_value' => variable_get('jstree_menu_remove_border', 0),
  );

  $form['icons'] = array(
    '#type' => 'fieldset',
    '#title' => t('Icon settings'),
    '#weight' => 5,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['icons']['desc'] = array(
    '#type' => 'item',
    '#title' => t('Help'),
    '#markup' => t('You can use Bootstrap glyphicons and/or Font Awesome icons (see README file for more details).'),
  );

  $form['icons']['jstree_menu_icon'] = array(
    '#type' => 'textfield',
    '#title' => t('Normal icon'),
    '#required' => TRUE,
    '#default_value' => variable_get('jstree_menu_icon', 'glyphicon glyphicon-tag'),
    '#description' => t('Icon displayed on every node of tree except leaves.'),
  );

  $form['icons']['jstree_menu_icon_leaves'] = array(
    '#type' => 'textfield',
    '#title' => t('Leaves icon'),
    '#required' => TRUE,
    '#default_value' => variable_get('jstree_menu_icon_leaves', 'glyphicon glyphicon-ok'),
    '#description' => t('Icon displayed on tree leaves'),
  );

  return system_settings_form($form);
}
